from typing import List

def solution(pos: List[List[int]]) -> int:
    """
    @param pos 物体的所在坐标
    @return 整型
    """
    
    def count_points_in_camera(cam_x, cam_y):
        count = 0
        for [x,y] in pos:
            if abs(x - cam_x) <= 50 and abs(y - cam_y) <= 50:
                count += 1
        return count

    max_result = -1
    for x in range(50, 1000-50+1):
        for y in range(50, 1000-50+1):
            max_result = max(max_result, count_points_in_camera(x, y))
    return max_result